/*
   CSS spécifique pour la partie « Albums »
*/


/* ----------------------------
	Albums individuels
*/

/* Fiche album */
.fiche { display: flex; gap: 1.5rem; align-items: center; flex-wrap: wrap; max-width: 1000px; margin: 0 auto; }
.fond-fiche { position: absolute; bottom: 0; right: 20px; opacity: .2; pointer-events: none; filter: grayscale(1) contrast(0); max-width: min(700px,100%); max-height: 100%;  transition: .5s; }
.fiche-titre { margin: 0 0 0 15px; font-size: calc(16px + 2vw); text-align: left; }
.fiche-titre:hover ~ .fond-fiche { filter: grayscale(1) contrast(1); }
.fiche-image { width: 400px; max-width: 100%; height: auto; border-radius: 2px; flex-shrink: 0; }
.fiche-contenu { flex: 1 1 250px; display: flex; flex-direction: column; gap: 1rem; margin: 20px; color: var(--couleur-claire); font-family: Mulish; font-size: 17px; text-align: justify; }
.fiche-auteurs { display: flex; gap: 40px; flex-wrap: wrap; position: relative; cursor: default; margin: 15px; }
.fiche-synopsis { font-size: 14px; margin: 15px; }
.fiche-date { margin: 15px; }
.fiche-tome { font-size: 30px; text-align: right; color: var(--moyen) !important; margin: -30px 15px; cursor: default; clear: both; font-family: Artifex; letter-spacing: -0.1em; padding: 0; }
.fiche-contenu div, .fiche-date { position: relative; }

.couvalbum-principal { position: relative; display: inline-block; margin: 20px auto; border-radius: 2px; transform: rotate(-1deg); transition: .5s; }
.couvalbum-principal::before { content: ""; position: absolute; top: -10px; left: 0; bottom: 14px; right: 10px; box-shadow: 3px 3px 8px #444; border: solid 1px; border-color: #ccc #aaa #aaa #ddd; transform: skewY(-3deg); border-radius: 2px; transition: .5s; background: white no-repeat center top / contain; z-index: -1; }
.couvalbum-principal::before { background-image: var(--img-planche); }
.couvalbum-principal::after { background-image: linear-gradient(90deg, rgba(0, 0, 0, .3), rgba(0, 0, 0, .3) 1.2%, hsla(0, 0%, 100%, .7) 0, hsla(0, 0%, 100%, .6) 1.5%, hsla(0, 0%, 100%, .2) 2%, hsla(0, 0%, 100%, .2) 2.8%, rgba(0, 0, 0, .2) 3.7%, rgba(0, 0, 0, .2) 5%, hsla(0, 0%, 100%, .2) 6.1%, hsla(0, 0%, 100%, .2) 6.5%, hsla(0, 0%, 100%, 0) 7.4%);
	box-shadow: inset 0 -2px 2px 0 rgba(0, 0, 0, .5); content: ""; position: absolute; top: 0; right: 0; bottom: 3px; left: 0; z-index: 1; border-radius: 2px; }
.couvalbum-principal:hover { transform: rotate(1deg); }
.couvalbum-principal:hover::before { transform: skewY(-8deg); top: -26px; bottom: 30px; right: 40px; }
@media (max-width:600px) {
	.couvalbum-principal, .couvalbum-principal:hover { transform: initial; max-width: 90%; }
	.couvalbum-principal:before, .couvalbum-principal:after { display: none; }
}

.fiche-auteurs div::before, .fiche-date::before {position: absolute; top: -1em; font-size: 10px; color: var(--moyen); left: 5px; }
.fiche-auteurs .dessin::before {content: 'Dessin';}
.fiche-auteurs .scenario::before {content: 'Scénario';}
.fiche-auteurs .couleurs::before {content: 'Couleurs';}
.fiche-auteurs .dessin-couleurs::before {content: 'Dessin et couleurs';}
.fiche-auteurs .dessin-scenario::before {content: 'Scénario et dessin';}
.fiche-auteurs .dessin-scenario-couleurs::before {content: 'Scénario, dessin et couleurs';}
.fiche-date::before { content: 'Parution'; }

/* Communauté */
.zone-grise { position: relative; overflow: hidden; clear: both; }
.zone-grise .titre-thorgal { color: var(--clair); font-size: calc(16px + 2vw); margin: 0 auto; transition: .3s; opacity: .05; }
.zone-grise::after {width: 100%; height: 50px; background: transparent url('../img/barre_haut.png') bottom right repeat-x; clear: both; display: block; content: ""; position: relative; bottom: -1px; z-index: 2;}
.communaute { display: flex; flex-wrap: wrap; justify-content: center; gap: 10px; }
.communaute > div { flex: 1 1 200px; text-align: center; font-family: Artifex; font-size: 18px; color: var(--clair); }
.communaute a { color: var(--couleur-claire); text-decoration: none; }
.communaute .mon-album { font-family: Rosinski; font-size: 40px; transform: rotate(-4deg); margin: 0 auto; transition: .3s; }
.communaute .mon-album:hover { transform: rotate(2deg); }
.communaute a:hover { color: var(--couleur-or); }
.communaute .sous-t {	margin: 10px auto -10px; color: var(--moyen); }

/* Clés blanches */
.popularite { position: relative; display: inline-block; width: 150px; height: 30px; margin: 10px auto -15px; transform: rotate(-4deg); }
.barre { position: absolute; left: 0; right: 0; top: 4px; height: 22px; background: var(--moyen); border-radius: 3px; overflow: hidden; }
.remplissage { position: absolute; display: block; height: 100%; width: calc(var(--note)/5*100%); background: var(--sombre); }
.cles-grises, .cles-noires { position: absolute; display: flex; }
.cles-grises span, .cles-noires span { width: 30px; height: 30px; }
.cles-grises svg { width: 100%; height: 100%; color: var(--clair); opacity: .5; filter: invert(1); }
.masque-noir { position: absolute; inset: 0; width: calc(var(--note)/5*100%); overflow: hidden; }
.cles-noires svg { width: 100%; height: 100%; color: var(--clair); }

/* Histoire */
.fiche-histoire div { text-align: justify; font-family: Artifex; font-size: 18px; background-color: white; padding: 60px; border-radius: 5px; max-width: 800px; line-height: 26px; margin: -40px auto; }
.fiche-histoire p:first-of-type::first-letter { font-size: 36px; }
.fiche-histoire img:first-of-type { width: 800px; max-width: 95%; border-radius: 3px; border: solid var(--sombre) 3px; box-sizing: border-box; margin: 20px auto 0; }
.fiche-histoire img:last-of-type { width: 800px; max-width: 95%; border-radius: 3px; border: solid var(--sombre) 3px; box-sizing: border-box; margin: 0 auto 20px; }

/* Extrait */
.fiche-extrait .dialogue { display: flex; flex-wrap: nowrap; gap: 1rem; align-items: center; margin: 30px auto; max-width: 1200px; }
.fiche-extrait .ligne { display: flex; flex-wrap: nowrap; gap: 4rem; align-items: center; box-sizing: border-box; width: 1000px; max-width: 100%; }
.fiche-extrait img { display: block; border-radius: 3px; max-width: 250px; max-height: 250px; margin: 0 auto; }
.fiche-extrait p { position: relative; flex: 1 1 auto; color: #f0f0f0; font-size: 24px; font-family: Rosinski; text-align: center; cursor: default; }

.img-bulle { position: relative; display: inline-block; }
.img-bulle::after { content: ""; position: absolute; width: 160px; height: 50px; background: url('../img/bulle1.png') center / contain no-repeat; filter: invert(1); transform-origin: center center; opacity: 0; }
.img-bulle.montrer-bulle::after { opacity: 1; }
.img-bulle-1::after { right: -110px; top: 50%; transform: translateY(-50%) rotate(90deg); }
.img-bulle-2::after { right: 200px; top: 50%; transform: translateY(-50%) rotate(-90deg); }

@media (max-width:1100px) {
	.fiche-extrait .dialogue { flex-wrap: wrap; }
	.fiche-extrait .ligne { flex: 0 0 100%; justify-content: space-between; }
}
@media (max-width:600px) {
	.fiche-extrait .dialogue, .fiche-extrait .ligne { flex-direction: column; }
	.fiche-extrait p { padding: 0 20px; }
	.img-bulle-1::after { top: 100%; transform: rotate(180deg); transform-origin: left; margin-top: 10px; }
	.img-bulle-2::after { left: 50%; top: -60px; transform: rotate(0deg) translateX(-50%); }
}
.lettre-cachee { visibility: hidden; }
.lettre-affichee { visibility: visible; }

/* Planches */
.fiche-planches { position: relative; width: 100%; background: white; color: var(--sombre); margin: 0; padding: 0; display: inline-block; }
.fiche-planches p { max-width: 800px; font-family: Mulish; font-size: 14px; text-align: center; margin: 0 auto; padding: 20px; }
.fiche-extrait.zone-noire2::after { filter: brightness(2); }
.fiche-planches::after {width: 100%; height: 50px; background: transparent url('../img/barre_haut.png') bottom right repeat-x; clear: both; display: block; content: ""; position: relative; bottom: -1px; z-index: 2;}

.planches-mini { position: relative; display: flex; flex-wrap: wrap; align-items: center; justify-content: center; }
.planche-mini { width: 100px; position: relative; border: solid gray 1px; transition: transform 0.2s ease, z-index 0.2s ease; --dx: 0px; --dy: 0px; --rot: 0deg; --z: 1; transform: translate(var(--dx), var(--dy)) rotate(var(--rot)); z-index: var(--z); cursor: pointer; }
.planche-mini:hover { z-index: 41; transform: translate(var(--dx), var(--dy)) rotate(var(--rot)) scale(1.05); }
.planche-mini.choix { border: solid orange 3px; margin: -2px; }

.planches-grandes { max-width: 100%; margin: -40px auto 5px; position: relative; display: none; opacity: 0; transition: opacity .4s ease; overflow: hidden; }
.planches-grandes.visible { opacity: 1; }
.planche-grande { position: absolute; max-width: 100%; transition: opacity .4s ease, transform .4s ease; --gx: 0px; --gy: 0px; --gz: 1; transform: translate(var(--gx), var(--gy)); z-index: var(--gz); cursor: pointer; }
.planche-grande:last-child { position: relative; cursor: default; }
@media (max-width: 600px) {
	.planche-mini { width: 80px; }
	.planches-grandes { margin: -10px auto 5px; }
	.planche-grande { --gx: 0px !important; --gy: 0px !important; }
}

/* Analyse et atelier */
.fiche-analyse { margin: 0 auto; }
.fiche-analyse p { max-width: 878px; text-indent: 30px; font-family: Mulish; font-size: 15px; text-align: justify; margin: 0 auto; padding: 10px; }
.fiche-analyse p.a-suivre { background: #ddd; border-radius: 5px; text-align: center; font-family: Rosinski; font-size: 18px; padding: 5px; margin: 5px auto; }
.a-gauche { float: left; margin-right: 20px; }
.a-droite { float: right; margin-left: 20px; }
.fiche-analyse h3 { font: small-caps bold 26px "Artifex"; color: var(--sombre); text-align: center; }
.fiche-analyse img { max-width: 100%; border-radius: 3px; }
.fiche-analyse a { color: var(--moyen); text-decoration: underline; transition: .2s; }
.fiche-analyse a:hover { color: var(--couleur-or); }
.fiche-analyse a.album { background-color: white; }
.fiche-analyse blockquote { position: relative; max-width: 878px; margin: 0 auto; padding: 0 40px; box-sizing: border-box; border-radius: 5px; font-style: italic; background-color: white; }
.fiche-analyse blockquote p { font-family: Artifex; font-size: 16px; }
.fiche-analyse blockquote:before { content: '«'; position: absolute; top: -18px; left: 0; font-size: 60px; color: var(--moyen); font-family: Artifex; }
.fiche-analyse blockquote:after { content: '»'; position: absolute; bottom: -10px; right: 8px; font-size: 60px; color: var(--moyen); font-family: Artifex; }

:root { --marge-g: 270px; --marge-d: 100px; }
.page-thorgal-menu { display: flex; margin-right: var(--marge-d); }
.menu-thor { width: var(--marge-g); text-align: left; margin-top: 200px; z-index: 1; }
.menu-thor li { margin: 5px 0; margin-left: 18px; }
.menu-thor a { font-size: 12px; }
.menu-thor li.sous-loup { margin-left: 1.5rem; opacity: 0.8; font-size: 0.9em; }
.paragraphe { scroll-margin-top: 50px; }

.auteur-atelier { display: flex; align-items: center; gap: 10px; max-width: 700px; margin: 0 auto; font-style: italic; background: white; border-radius: 5px; padding-right: 10px; }
.auteur-atelier img { border-radius: 5px 0 0 5px; }

.planche-interactive { position: relative; width: 100%; max-width: 100%; cursor: crosshair; margin-left: auto; margin-right: auto; margin-bottom: 20px; }
.planche-interactive .bandeau-choix { display: inline-flex; max-width: 100%; overflow-x: auto; scrollbar-width: none; gap: 5px; margin: 0 auto 5px; }
.planche-interactive .bandeau-choix::-webkit-scrollbar { display: none; }
.planche-interactive .case-choix { width: 80px; border: solid lightgray 3px; border-radius: 2px; cursor: pointer; }
.planche-interactive .case-choix.active { border: solid orange 3px; }
.planche-interactive .pl-cadre { position: relative; display: inline-block; cursor: crosshair; max-width: 100%; height: auto; margin: 0 auto 20px; }
.planche-interactive .pl-cadre img { display: block; width: 100%; height: auto; pointer-events: none; }
.planche-interactive .pl-inter { position: absolute; width: 50%; height: 100%; top: 0px; left: 0px; cursor: crosshair; background-size: cover; background-position: left; overflow: hidden; }

@media (max-width: 1100px) {
	:root { --marge-d: 30px; }
}
@media (max-width: 910px) {
	.page-thorgal-menu { display: initial; }
	.menu-thor { display: none; }
	:root { --marge-g: 0px; --marge-d: 0px; }
}

/* Scène */
.fiche-scene { position: relative; background: var(--inter); pointer-events: none; margin-left: calc(-1 * var(--marge-g)); margin-right: calc(-1 * var(--marge-d)); }
.fiche-scene::before {width: 100%; height: 50px; background: transparent url('../img/barre_haut.png') bottom left repeat-x; clear: both; display: block; content: ""; position: relative; top: -1px; z-index: 2; transform: rotate(180deg); }
.fiche-scene::after {width: 100%; height: 50px; background: transparent url('../img/barre_haut.png') bottom left repeat-x; clear: both; display: block; content: ""; position: relative; bottom: -1px; z-index: 2; filter: brightness(var(--si-editions, 1));}

.carte-flip { max-width: 60%; margin: 30px auto; pointer-events: auto; }
.carte-dedans { position: relative; width: 100%; height: 100%; transform-style: preserve-3d; transition: transform .6s; cursor: pointer; }
.carte-flip.active .carte-dedans { transform: rotateY(180deg); }
.carte-face { position:absolute; inset:0; background: white; border: 1px solid #ddd; box-shadow: 0 8px 18px rgba(0,0,0,.25); backface-visibility: hidden; display: flex; align-items: center; justify-content: center; text-align: center; pointer-events: none; }
.carte-recto { transform: rotate(-3deg); background: white url('../img/papier.jpg'); background-size: cover; }
.carte-recto p { max-width: 500px; padding: 40px; font-family: Rosinski; font-size: calc(14px + 1vw); }
.carte-verso { transform: rotateY(180deg) rotate(3deg); }
.carte-verso img { padding: 20px; width: 100%; height: auto; display: block; }

/* Éditions spéciales */
.fiche-editions { margin: 0 auto; }
.fiche-editions .ed-img { position: relative; max-width: 800px; border-radius: 5px; margin: 0px auto 20px; }
.fiche-editions .ed-img.seule { background: var(--couleur-sombre); border-top: solid var(--couleur-sombre) 10px; }
.fiche-editions .ed-img::before { content: ''; position: absolute; width: 100%; height: 20px; top: -4px; left: 0; background: url('../img/barre_haut.png') top right / cover no-repeat; filter: brightness(.11); transform: scaleY(-1); transform-origin: center; border-radius: 5px; }
.fiche-editions .ed-img::after { content: ''; position: absolute; width: 100%; height: 20px; bottom: 0; left: 0; background: url('../img/barre_haut.png') top right / cover no-repeat; }
.fiche-editions img { max-width: 100%; display: block; margin: 0 auto; border-radius: 0 0 5px 5px; }
.fiche-editions p { max-width: 800px; background-color: var(--sombre); color: var(--couleur-claire); font-family: Balthazar; font-size: 18px; text-align: justify; padding: 24px; margin: 10px auto 0; box-sizing: border-box; border-radius: 5px 5px 0 0; }
.fiche-editions p .ed-deb { color: #ffdf8f; }

/* Cycles */
.cycles .couvalbum { position: relative; display: inline-block; width: 80px; height: 108px; border-radius: 1px; transform: rotate(-1deg); transition: .5s; margin: 20px 5px; }
.cycles .couvalbum::before { content: ""; position: absolute; top: -3px; left: 0; bottom: 7px; right: 8px; box-shadow: 3px 3px 8px #444; border: solid 1px; border-color: #ccc #aaa #aaa #ddd; transform: skewY(-4deg); border-radius: 1px; transition: .5s; background: white var(--img-planche) no-repeat center top / contain; z-index: -1; }
.cycles .couvalbum::after { background-image: linear-gradient(90deg, rgba(0, 0, 0, .3), rgba(0, 0, 0, .3) 1.2%, hsla(0, 0%, 100%, .7) 0, hsla(0, 0%, 100%, .6) 1.5%, hsla(0, 0%, 100%, .2) 2%, hsla(0, 0%, 100%, .2) 2.8%, rgba(0, 0, 0, .2) 3.7%, rgba(0, 0, 0, .2) 5%, hsla(0, 0%, 100%, .2) 6.1%, hsla(0, 0%, 100%, .2) 6.5%, hsla(0, 0%, 100%, 0) 7.4%); box-shadow: inset 0 -2px 2px 0 rgba(0, 0, 0, .5); content: ""; position: absolute; top: 0; right: 0; bottom: 0; left: 0; z-index: 1; border-radius: 1px; }
.cycles .couvalbum img { width: 80px; height: 108px; border-radius: 1px; }
.cycles .couvalbum:hover { transform: rotate(2deg); }
.cycles .couvalbum:hover::before { transform: skewY(-7deg); top: -4px; bottom: 13px; right: 15px; }

.cycles { position: relative; overflow: hidden; width: 80%; margin: 20px auto 0; transition: height .4s ease; }
.bloc-cycle { position: absolute; top: 0; left: 0; width: 100%; display: grid; grid-template-columns: 260px 1fr; gap: 0; background-color: white; border-radius: 5px; font-family: Mulish; visibility: hidden; pointer-events: none; z-index: 0; }
.image-inclinee { width: 270px; height: 100%; min-height: 300px; object-fit: cover; clip-path: polygon(0 0, 85% 0, 100% 100%, 0 100%); flex-shrink: 0; border-radius: 5px 0 0 5px; }
.texte-cycle { display: flex; flex-direction: column; gap: 0; flex: 1; padding: 20px; max-width: 100%; box-sizing: border-box; }
.texte-cycle h2, .texte-cycle p { margin: 0; text-align: center; }
.texte-cycle h2 { font-family: Artifex; font-size: 36px; letter-spacing: -2px; color: var(--moyen); }
.bloc-albums { display: flex; flex-wrap: wrap; align-items: center; justify-content: center; gap: 0; width: 100%; }
.ligne-titre { display: flex; align-items: center; width: 100%; }
.cycle-avant, .cycle-apres { font-size: 50px; line-height: 1; text-align: center; flex-shrink: 0; font-family: Rosinski; cursor: pointer; transition: .3s; color: var(--moyen); padding: 0 10px 5px; border-radius: 3px; }
.cycle-avant:hover, .cycle-apres:hover { color: white; background-color: var(--sombre); }
.cycle-avant { margin: 0 auto 0 0; }
.cycle-apres { margin: 0 0 0 auto; }

@media (max-width: 1000px) {
	.bloc-cycle { display: flex; align-items: center; flex-direction: column; width: 95%; }
	.image-inclinee { width: 100%; height: 200px; clip-path: polygon(0 0, 100% 0, 100% 85%, 0 100%); border-radius: 5px 5px 0 0; }
	.texte-cycle { padding: 0 20px; }
}

.bloc-cycle.actif { visibility: visible; pointer-events: auto; z-index: 1; }
.bloc-cycle.entree-gauche { animation: entreeGauche .4s ease forwards; }
.bloc-cycle.entree-droite { animation: entreeDroite .4s ease forwards; }
.bloc-cycle.sortie-gauche { animation: sortieGauche .4s ease forwards; }
.bloc-cycle.sortie-droite { animation: sortieDroite .4s ease forwards; }
@keyframes entreeGauche { from { transform: translateX(-100%); } to { transform: translateX(0); } }
@keyframes entreeDroite { from { transform: translateX(100%); } to { transform: translateX(0); } }
@keyframes sortieGauche { from { transform: translateX(0); } to { transform: translateX(-100%); } }
@keyframes sortieDroite { from { transform: translateX(0); } to { transform: translateX(100%); } }


/* ----------------------------
	Page listant les parutions
*/

.couverture {position: relative; width: 167px; display: inline-block; vertical-align: top; margin-right: 7px; text-align: center; padding-top: 15px;}
.couverture .album_date {text-transform: capitalize; font-weight: 900 !important; margin: 0 0 5px 0 !important;}
.couverture .album_titre {text-transform: uppercase; margin: 0 !important; font-size: 12px !important;}
.couverture .album_tome {margin-top: 0 !important;}

.couverture .couvalbum { position: relative; display: inline-block; height: 220px; border-radius: 2px; transform: rotate(-1deg); transition: .5s; }
.couverture .couvalbum::before { content: ""; position: absolute; top: -6px; left: 0; bottom: 6px; right: 10px; box-shadow: 3px 3px 8px #444; border: solid 1px; border-color: #ccc #aaa #aaa #ddd; transform: skewY(-4deg); border-radius: 2px; transition: .5s; background: white no-repeat center top / contain; z-index: -1; }
.couverture .couvalbum::before { background-image: var(--img-planche); }
.couverture .couvalbum::after { background-image: linear-gradient(90deg, rgba(0, 0, 0, .3), rgba(0, 0, 0, .3) 1.2%, hsla(0, 0%, 100%, .7) 0, hsla(0, 0%, 100%, .6) 1.5%, hsla(0, 0%, 100%, .2) 2%, hsla(0, 0%, 100%, .2) 2.8%, rgba(0, 0, 0, .2) 3.7%, rgba(0, 0, 0, .2) 5%, hsla(0, 0%, 100%, .2) 6.1%, hsla(0, 0%, 100%, .2) 6.5%, hsla(0, 0%, 100%, 0) 7.4%);
    box-shadow: inset 0 -2px 2px 0 rgba(0, 0, 0, .5); content: ""; position: absolute; top: 0; right: 0; bottom: 0; left: 0; z-index: 1; border-radius: 2px; }
.couverture .couvalbum img { width: 167px; height: 220px; border-radius: 2px; }
.couverture .couvalbum:hover { transform: rotate(2deg); }
.couverture .couvalbum:hover::before { transform: skewY(-8deg); top: -11px; bottom: 11px; right: 18px; }

/* Les boutons permettant d'afficher les différentes séries */
#listes-albums {position: relative; display: inline-block; margin-bottom: 30px;}
#listes-albums .bouton_serie {cursor: pointer; color: var(--couleur-claire); width: 100px; height: 40px; align-content: center; display: inline-block; text-align: center; font-family: Artifex; font-size: 13px; padding: 5px 0 5px 0; background: #888; transition-duration: .4s; text-transform: uppercase; line-height: 1; overflow: hidden;}
#listes-albums .bouton_serie.actif {background: var(--couleur-sombre);}
#listes-albums .bouton_serie:hover {background: #555;}

/* Fondu pour l'apparition des tuiles */
.couverture {animation: apparition 1s ease;}
@keyframes apparition { from {opacity: 0;} to {opacity: 1;} }

/* --------------------
	Icône son - Cheval
*/
.son-icone {fill: currentColor; animation: chevaucher 0.6s infinite ease-in-out;}
@keyframes chevaucher {
  0%   { transform: translateY(0); }
  50%  { transform: translateY(-3px); }
  100% { transform: translateY(0); }
}